Ubuntu

gvfsd-metadata crashed with SIGSEGV in copy_tree_to_builder()

Reported by Michael Sinchenko on 2009-07-27
This bug affects 220 people
Affects Status Importance Assigned to Milestone
gvfs
Confirmed
Medium
gvfs (Ubuntu)
Medium
Ubuntu Desktop Bugs

Bug Description

Binary package hint: gvfs

ProblemType: Crash
Architecture: i386
CrashCounter: 1
Date: Mon Jul 27 22:26:17 2009
DistroRelease: Ubuntu 9.10
ExecutablePath: /usr/lib/gvfs/gvfsd-metadata
NonfreeKernelModules: nvidia
Package: gvfs 1.3.2-0ubuntu4
ProcCmdline: /usr/lib/gvfs/gvfsd-metadata
ProcEnviron:
 SHELL=/bin/bash
 LANG=ru_RU.UTF-8
ProcVersionSignature: Ubuntu 2.6.31-3.19-generic
SegvAnalysis:
 Segfault happened at: 0x804d2ea <g_get_current_dir@plt+8738>: mov 0x8(%edx),%edx
 PC (0x0804d2ea) ok
 source "0x8(%edx)" (0x00000008) not located in a known VMA region (needed readable region)!
 destination "%edx" ok
SegvReason: reading NULL VMA
Signal: 11
SourcePackage: gvfs
StacktraceTop:
 ?? ()
 ?? ()
 ?? ()
 ?? ()
 ?? () from /usr/lib/libglib-2.0.so.0
Title: gvfsd-metadata crashed with SIGSEGV
Uname: Linux 2.6.31-3-generic i686
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare

StacktraceTop:copy_tree_to_builder (tree=0x90fbcf0, dirent=0x0, builder_file=0x90fd0f0)
meta_tree_flush_locked (tree=<value optimized out>)
meta_tree_flush (tree=0x90fbcf0) at metatree.c:2359
writeout_timeout (data=0x90fbc18) at meta-daemon.c:61
g_timeout_dispatch (source=0x90fbef0, callback=0x90fbcf0,

Changed in gvfs (Ubuntu):
importance: Undecided → Medium
tags: removed: need-i386-retrace

Thanks for your bug report. This bug has been reported to the developers of the software. You can track it and make comments here: http://bugzilla.gnome.org/show_bug.cgi?id=590060

Changed in gvfs (Ubuntu):
assignee: nobody → Ubuntu Desktop Bugs (desktop-bugs)
status: New → Triaged
visibility: private → public
Changed in gvfs:
status: Unknown → New
ThiloPfennig (tpfennig) wrote :

This is still affecting me.

summary: - gvfsd-metadata crashed with SIGSEGV
+ gvfsd-metadata crashed with SIGSEGV in copy_tree_to_builder()
Christian Kellner (gicmo) wrote :

Any chance I could get some information how to reproduce it? Did you do something special?

abujafar (abujafar) on 2009-10-21
Changed in gvfs:
status: New → Unknown

No, nothing special. Just upgraded to karmic koala.

It fall after some time after login. i can give you ssh access to my notebook (no any sensible data, root-access), where this happen.

ThiloPfennig (tpfennig) wrote :

related bug #462146 (new because new version). Seems we will get this with final release?

ginalfa (ginalfa) wrote :

This is still affecting me.
just upgraded to karmic koala final release.

dbazim (dbazim) wrote :

evolution[6635]: segfault at 7c ip 07fb6e4d sp bf7fd320 error 4 in libgtkhtml-3.14.so.19.1.1[7f8a000+a4000]
[ 9216.412649] gvfsd-metadata[7087]: segfault at 8 ip 0804d2ea sp bfed6d30 error 4 in gvfsd-metadata[8048000+c000]
[ 9327.412369] gvfsd-metadata[11025]: segfault at 8 ip 0804d2ea sp bfe045f0 error 4 in gvfsd-metadata[8048000+c000]
[ 9547.460188] gvfsd-metadata[11190]: segfault at 8 ip 0804d2ea sp bfef8cd0 error 4 in gvfsd-metadata[8048000+c000]
[ 9640.413863] gvfsd-metadata[11283]: segfault at 8 ip 0804d2ea sp bffa7900 error 4 in gvfsd-metadata[8048000+c000]
[ 9871.413090] gvfsd-metadata[11435]: segfault at 8 ip 0804d2ea sp bfa95250 error 4 in gvfsd-metadata[8048000+c000]

Still reproduced in karmic koala and affects evolution.

Yes, I have this same issue... using the final release of Ubuntu 10.04 Lucid (desktop 32-bit).

PeterPall (peterpall) wrote :

Seems to affect current maverick alpha [32-bit], too; I had this problem since my upgrade to karmic, but only on my intel atom computer.
The only other program that crashes (and keeps crashing since karmic) is "apt-get dist-upgrade" after installing/upgrading the last package. apt-get always crashes *after* writing out the database, removing all locks and doesn, so this really isn't a problem. But since both programs seem to have started segfaulting at roughly the same time - I thought perhaps it might be worth mentioning.

References for crash of apt-get:
 - http://ubuntuforums.org/showthread.php?t=1413354

PeterPall (peterpall) wrote :

The apt-get crash seems to be fixed now for me, whilst gvfsd-metadata still keeps crashing. I take this as a strong hint that the two crashes aren't related to each other. But then this was already highly probable at the beginning.

PeterPall (peterpall) wrote :

On current Maverick the crashes of gvfsd-metadata seem to have stopped for me.
Can anybody else confirm this?

Vlad (vvladxx) wrote :

I have encountered the same problem and deleting all the files from the directory ~/.local/share/gvfs-metadata/ seems solved the problem for me.

yes, is solve deleting this files, thanks and good linux-Ubuntu trip!!

regards

Alan Lucciano Pindo
Technology

Gran Via Corts Catalanes
08007 Barcelona

e: <email address hidden>

Esta información es privada y confidencial y esta dirigida únicamente a su
destinatario. Si usted no es el destinatario original de este mensaje y por
este medio pudo acceder a dicha información por favor elimine el mensaje y
notifique el envío erróneo al remitente.
La distribución o copia de este mensaje esta estrictamente prohibida. La
transmisión de e-mails no garantiza que el correo electrónico sea seguro.
Por consiguiente, no manifestamos que esta información sea completa o
precisa. Toda información está sujeta a alterarse sin previo aviso.

This communication is confidential and may contain privileged information.
If you are not named recipient, please erase this communication and contact
the sender immediately.
You must not copy, use or disclose this communication, or any attachments or
information contained within, without prior consent.
Antes de imprimir piense si es realmente necesario/ Please consider the
environment before printing this email.

2010/8/10 Vlad <email address hidden>

> I have encountered the same problem and deleting all the files from the
> directory ~/.local/share/gvfs-metadata/ seems solved the problem for me.
>
> --
> gvfsd-metadata crashed with SIGSEGV in copy_tree_to_builder()
> https://bugs.launchpad.net/bugs/405432
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in GVFS: Unknown
> Status in “gvfs” package in Ubuntu: Triaged
>
> Bug description:
> Binary package hint: gvfs
>
>
>
> ProblemType: Crash
> Architecture: i386
> CrashCounter: 1
> Date: Mon Jul 27 22:26:17 2009
> DistroRelease: Ubuntu 9.10
> ExecutablePath: /usr/lib/gvfs/gvfsd-metadata
> NonfreeKernelModules: nvidia
> Package: gvfs 1.3.2-0ubuntu4
> ProcCmdline: /usr/lib/gvfs/gvfsd-metadata
> ProcEnviron:
> SHELL=/bin/bash
> LANG=ru_RU.UTF-8
> ProcVersionSignature: Ubuntu 2.6.31-3.19-generic
> SegvAnalysis:
> Segfault happened at: 0x804d2ea <g_get_current_dir@plt+8738>: mov
> 0x8(%edx),%edx
> PC (0x0804d2ea) ok
> source "0x8(%edx)" (0x00000008) not located in a known VMA region (needed
> readable region)!
> destination "%edx" ok
> SegvReason: reading NULL VMA
> Signal: 11
> SourcePackage: gvfs
> StacktraceTop:
> ?? ()
> ?? ()
> ?? ()
> ?? ()
> ?? () from /usr/lib/libglib-2.0.so.0
> Title: gvfsd-metadata crashed with SIGSEGV
> Uname: Linux 2.6.31-3-generic i686
> UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/gvfs/+bug/405432/+subscribe
>

Changed in gvfs:
importance: Unknown → Medium
status: Unknown → Confirmed
Ubuntu1004 (ybrjkfc) wrote :

affecting in ubuntu 12.04 beta 2 (64 bit)

Colan Schwartz (colan) wrote :

In the future, please add release tags to report specific releases as affected. Comments to this effect are unnecessary.

tags: added: oneiric precise
Colan Schwartz (colan) wrote :

The architecture would help too. ;)

tags: added: amd64
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gvfs - 1.12.0-0ubuntu5

---------------
gvfs (1.12.0-0ubuntu5) precise; urgency=low

  * debian/patches/metadata-dont-flush-null-tree.patch:
    - Don't try to flush a tree that doesn't exist. Fixes crash bug
      LP: #405432. Patch from upstream's Christian Kellner.
  * debian/patches/metadata-nuke-junk-data.patch:
    - If metadata file is bogus, erase it and start over. Related to
      above bug, to be able to recover from junk data in addition to
      not crashing. Patch from upstream's Christian Kellner.
  * debian/patches/dont-crash-on-null-job.patch:
    - Don't try to announce the finish of a NULL job. LP: #345754,
      LP: #838464
  * debian/patches/check-gdu-pool.patch:
    - If gdu_pool_new() returns NULL, handle it gracefully.
      LP: #832379
  * debian/patches/handle-inactive-vfs.patch:
    - If the VFS never initialized, don't crash when creating volume
      monitors. LP: #832533
 -- Michael Terry <email address hidden> Wed, 11 Apr 2012 16:01:32 -0400

Changed in gvfs (Ubuntu):
status: Triaged → Fix Released

With me whenever I was creating a folder named "data", an emblem of "note" was being created onto it, and Nautilus was crashing when opening this folder. rm -rf ~/.local/share/gvfs-metadata/ as Vlad pointed out solved it for me.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.